Index: code/trunk/src/modules/overlays/hud/HUDPickupItem.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11699)
+++ code/trunk/src/modules/overlays/hud/HUDPickupItem.cc	(revision 11700)
@@ -50,5 +50,5 @@
 
         std::string name = "HUDPickupItem" + getUniqueNumberString();
-
+        orxout() << "name: "<< name<<endl;
         overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", name ));
 
@@ -59,8 +59,8 @@
     HUDPickupItem::~HUDPickupItem()
     {
-        if (this->isInitialized())
+        /*if (this->isInitialized())
         {
             overlayElement_=nullptr;
-        }
+        }*/
     }
 
@@ -78,6 +78,8 @@
         assert(overlayElement_);
         assert(this->background_);
-        overlayElement_->hide();
+        orxout()<< overlayElement_->getName()<< endl;
+        //overlayElement_->hide();
         this->background_->removeChild(overlayElement_->getName());
+        
     }
 }
Index: code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11699)
+++ code/trunk/src/modules/overlays/hud/HUDPickupSystem.cc	(revision 11700)
@@ -56,8 +56,8 @@
     HUDPickupSystem::~HUDPickupSystem()
     {
-        if (this->isInitialized())
+        /*if (this->isInitialized())
         {
             this->picks.clear();
-        }
+        }*/
     }
 
@@ -68,52 +68,47 @@
     }
     
+    void HUDPickupSystem::sync(std::vector<Pickupable*> p, std::map<Pickupable*, uint32_t> indexes_)
+    {
+        //hide all pickup symbols in HUD and delete from local map
+        
+        orxout() << "picks size before: " << picks.size() << endl;
+        orxout() << "p size before: " << p.size() << endl;
 
-    void HUDPickupSystem::updatePickupList(std::vector<Pickupable*> picks, std::map<Pickupable*, uint32_t> indexes_)
-    {
-        int i =0;
+        for(const auto& sm_pair : picks)
+        {
+            sm_pair.second->hideMe(sm_pair.first, repaint);
+            orxout() << "deleting local list picks: " << picks.size() << " pickup ptr" << sm_pair.first << endl;
+        }
+
+        picks.clear();
+        assert(picks.empty()); //picks must be empty now
+
+        //add to local map and place on screen
+        int i = 0;
         const float offsetX = 0.345f;
         float offsetY = 0.82f;
         const float x = 0.102f;
+        orxout() << "picks size after: " << picks.size() << endl;
+        orxout() << "p size after: " << p.size() << endl;
 
-        if(picks.size()>0)
+        for(Pickupable* pickup:p)
         {
-            for(Pickupable* p : picks)
-            {
-                i = indexes_.find(p)->second;
-                offsetY = 0.82f;
+            i=indexes_.find(pickup)->second;
+            //second row has offset
+            if(i==5)
+            {    
+                i=0;
+                offsetY+=0.075f;
+            }
 
-                if(i>=5)
-                {
-                    offsetY+=0.075f;
-                    i-=5;
-                }   
-                if(this->picks.count(p)==0)
-                {
-                    HUDPickupItem* item = new HUDPickupItem(this->getContext());
-                    item->initializeMaterial(this->getIcon(((Pickup*)p)->getRepresentationName()), offsetX+i*x, offsetY);
-                
-                    item->setOverlayGroup(this->getOverlayGroup());
-                    this->picks[p] = item;
-                }
-            }
+            HUDPickupItem* item = new HUDPickupItem(this->getContext());
+            item->initializeMaterial(this->getIcon(((Pickup*)pickup)->getRepresentationName()), offsetX+i*x, offsetY);
+            orxout() << "created new pickupHUDItem"<<endl;
+            item->setOverlayGroup(this->getOverlayGroup());
+            picks[pickup] = item;
         }
     }
 
-    void HUDPickupSystem::createPickupList()
-    {
-    }      
-
-    void HUDPickupSystem::removePickup(Pickupable* pickup)
-    {
-        assert(pickup);
-        HUDPickupItem* item = this->picks.find(pickup)->second;
-        orxout(internal_info, context::pickups) << "removePickup: pickup= " << pickup << " item= " << item << endl;
-        assert(item);
-        item->hideMe(pickup, repaint);
-        assert(overlayElement_);
-        assert(this->background_);
-        this->picks.erase(pickup);
-    }
-
+    
     void HUDPickupSystem::destroyAll()
     {
Index: code/trunk/src/modules/overlays/hud/HUDPickupSystem.h
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11699)
+++ code/trunk/src/modules/overlays/hud/HUDPickupSystem.h	(revision 11700)
@@ -57,7 +57,5 @@
 
         void sizeChanged();
-        void updatePickupList(std::vector<Pickupable*> picks, std::map<Pickupable*, uint32_t> indexes_);  
-        void createPickupList();  
-        void removePickup(Pickupable* pickup);
+        void sync(std::vector<Pickupable*> p, std::map<Pickupable*, uint32_t> indexes_);
 
         bool repaint=true; //if we shouldnt repaint, set this to false
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 11699)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 11700)
@@ -103,8 +103,7 @@
         // Destroying all the WeakPointers that are still there.
         this->pickups_.clear();
-
         this->indexes_.clear();
 
-        orxout(internal_info, context::pickups) << "PickupManager destroyed." << endl;
+        orxout() << "PickupManager destroyed." << endl;
     }
 
@@ -266,4 +265,5 @@
         assert(pickup);
 
+        orxout() << "just got called"<<endl;
         for (HUDPickupSystem* hud : ObjectList<HUDPickupSystem>())
             pickupSystem = hud;
@@ -300,5 +300,5 @@
 
             if(pickupSystem)
-                pickupSystem->updatePickupList(picks, indexes_);
+                pickupSystem->sync(picks, indexes_);
             
         }
@@ -316,5 +316,6 @@
 
             if(pickupSystem)
-                pickupSystem->removePickup(pickup);
+                pickupSystem->sync(picks, indexes_);
+            orxout() << "end of pickupChangedPickedUp" << endl;
         }
 