Index: code/trunk/data/gui/layouts/Dialogue.layout
===================================================================
--- code/trunk/data/gui/layouts/Dialogue.layout	(revision 11710)
+++ code/trunk/data/gui/layouts/Dialogue.layout	(revision 11718)
@@ -3,5 +3,5 @@
 <GUILayout >
     <Window Type="DefaultWindow" Name="orxonox/Dialogue/Background" > 
-    	<Property Name="InheritsAlpha" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
Index: code/trunk/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- code/trunk/data/gui/layouts/SingleplayerMenu.layout	(revision 11710)
+++ code/trunk/data/gui/layouts/SingleplayerMenu.layout	(revision 11718)
@@ -33,5 +33,5 @@
                 <Property Name="HorzScrollbar" Value="False" />
                 <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.725,0},{0.9,0},{0.875,0}}" />
-		<Property Name="HorzFormatting" Value="WordWrapLeftAligned" />
+                <Property Name="HorzFormatting" Value="WordWrapLeftAligned" />
             </Window>
         </Window>
Index: code/trunk/data/gui/scripts/HighscoreMenu.lua
===================================================================
--- code/trunk/data/gui/scripts/HighscoreMenu.lua	(revision 11710)
+++ code/trunk/data/gui/scripts/HighscoreMenu.lua	(revision 11718)
@@ -12,21 +12,21 @@
 
 function P.onLoad()
-	P.createLevelList()    
+    P.createLevelList()    
 end
 
 function P.onShow()
-	
-	-- reset tables
-	P.highscoreList = {}
-	P.tabList = {}
-	P.linesList = {}
+    
+    -- reset tables
+    P.highscoreList = {}
+    P.tabList = {}
+    P.linesList = {}
 
-	-- fetch save scores and write it into the list
-	for i=orxonox.Highscore:getInstance():getNumberOfHighscores()-1,0,-1 do
-		table.insert(P.highscoreList, orxonox.Highscore:getInstance():getHighscore(i))
-	
-	end
-	
-	-- read minigames out of the levelList
+    -- fetch save scores and write it into the list
+    for i=orxonox.Highscore:getInstance():getNumberOfHighscores()-1,0,-1 do
+        table.insert(P.highscoreList, orxonox.Highscore:getInstance():getHighscore(i))
+    
+    end
+    
+    -- read minigames out of the levelList
     for k,v in pairs(P.levelList) do
         if(v:getName() ~= "Hover level" and v:getName() ~= "Pong") then   -- hover and pong dont contain relevant scores
@@ -38,10 +38,10 @@
 function P.onHide()
 
-	-- delete old windows to reload them on show
-	local tabControl = winMgr:getWindow("orxonox/HighscoreTabControl")
-	for k,v in pairs(P.tabList) do
-        	local default = winMgr:getWindow(v)
+    -- delete old windows to reload them on show
+    local tabControl = winMgr:getWindow("orxonox/HighscoreTabControl")
+    for k,v in pairs(P.tabList) do
+            local default = winMgr:getWindow(v)
             tabControl:removeChildWindow(default)
-        	winMgr:destroyWindow(default)
+            winMgr:destroyWindow(default)
     end
 end
@@ -68,5 +68,5 @@
     table.insert(P.tabList, tabName)
     -- create new tab window with desired name
-	local default = (winMgr:createWindow("DefaultWindow", tabName))
+    local default = (winMgr:createWindow("DefaultWindow", tabName))
     default:setText(name)
     default:setProperty("UnifiedMaxSize", "{{1,0},{1,0}}")
@@ -79,18 +79,18 @@
     local offset = 2
     for k,v in pairs(P.highscoreList) do
-    	-- split the score ("Playername./.game./.score")
-    	local splitlist = P.Split(v,"./.")
-    	if(splitlist[2] == name)then  
-    		local line = P.createPickupEntry(tabName .. k,k,tag)
-       	 	table.insert(P.linesList, line)
-        	line:setYPosition(CEGUI.UDim(0,offset))
-        	offset = offset + line:getHeight():asAbsolute(1)+2
-        	pane:addChildWindow(line)	
-    	end
+        -- split the score ("Playername./.game./.score")
+        local splitlist = P.Split(v,"./.")
+        if(splitlist[2] == name)then  
+            local line = P.createPickupEntry(tabName .. k,k,tag)
+            table.insert(P.linesList, line)
+            line:setYPosition(CEGUI.UDim(0,offset))
+            offset = offset + line:getHeight():asAbsolute(1)+2
+            pane:addChildWindow(line)
+        end
         
     end
 
-	local tabControl = winMgr:getWindow("orxonox/HighscoreTabControl")
-	tabControl:addChildWindow(default)
+    local tabControl = winMgr:getWindow("orxonox/HighscoreTabControl")
+    tabControl:addChildWindow(default)
  
 
@@ -111,5 +111,5 @@
     
     item:addChildWindow(player)
-    	
+        
     local score = winMgr:createWindow("MenuWidgets/StaticText", name .. "/Score")
     score:setText(splitlist[3])