Index: code/trunk/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 11718)
+++ code/trunk/src/modules/gametypes/SpaceRace.cc	(revision 11720)
@@ -80,8 +80,7 @@
         RegisterObject(SpaceRace);
 
-        this->botclass_ = Class(SpaceRaceBot); //ClassByString("")
+        this->botclass_ = Class(SpaceRaceBot);
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
-        this->setConfigValues();
 
         this->numberOfBots_ = 5; // quick fix: don't allow default-bots to enter the race 
@@ -89,13 +88,7 @@
     }
 
-  void SpaceRace::setConfigValues()
-    {
-       
-    
-    }
-
     void SpaceRace::start()
     {
-    // define spawn positions of the 5 bots
+        // define spawn positions of the 5 bots
 
         int startpos[15];
@@ -120,35 +113,28 @@
         startpos[13] =-40;
         startpos[14] =80;
-        
-
-
 
         Gametype::start();
-   if (true)
-        {
-            this->spawnPlayersIfRequested();
-            this->cantMove_ = true;
-            //players are unable to move while countdown is running
-            for (Engine* engine : ObjectList<Engine>()){
-                engine->setActive(false);
-                
-
-            }
-           //append spawn positions to bots
-           int a,b,c;
-            a=0;
-            b=1;
-            c=2;
-              for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>()){
-                bot->getControllableEntity()->setPosition(startpos[a],startpos[b],startpos[c]);
-               a= a+3;
-               b = b+3; 
-               c+= 3;
-            }
-
-
-        }
-
-                                                
+
+        this->spawnPlayersIfRequested();
+        this->cantMove_ = true;
+        //players are unable to move while countdown is running
+        for (Engine* engine : ObjectList<Engine>())
+        {
+            engine->setActive(false);
+        }
+
+        //append spawn positions to bots
+        int a,b,c;
+        a=0;
+        b=1;
+        c=2;
+
+        for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>())
+        {
+            bot->getControllableEntity()->setPosition(startpos[a], startpos[b], startpos[c]);
+            a += 3;
+            b += 3;
+            c += 3;
+        }
 
         std::string message("Use headphones to hear the countdown!");
@@ -156,6 +142,6 @@
         ChatManager::message(message);
 
-//after 11 seconds , countdownFinished function is called to activate bots` engines
-Timer* countdownTimer = new Timer();
+        //after 11 seconds , countdownFinished function is called to activate bots` engines
+        Timer* countdownTimer = new Timer();
         countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
     }
@@ -189,10 +175,4 @@
     }
 
-
-void SpaceRace::tick(float dt)
-    {
-        SUPER(SpaceRace,tick,dt);
-}
-
     void SpaceRace::newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player)
     {
@@ -207,10 +187,10 @@
         const std::string& message = player->getName() + " reached the checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1) 
         + "after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
- this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-
-    }
-
- void SpaceRace::countdownFinished()//activates the engines of all players 
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+
+    }
+
+    void SpaceRace::countdownFinished()//activates the engines of all players
     {
 
@@ -220,12 +200,9 @@
 
 
-    for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(true);
-
-
-    
-}
-
- void SpaceRace::playerEntered(PlayerInfo* player)
+        for (Engine* engine : ObjectList<Engine>())
+            engine->setActive(true);
+    }
+
+    void SpaceRace::playerEntered(PlayerInfo* player)
     {
         Gametype::playerEntered(player);
@@ -236,5 +213,5 @@
 
 
- void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game 
+    void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game
     {
         for (unsigned int i = 1; i <= amount; ++i){
@@ -244,5 +221,5 @@
 
 
-//set bot configurations
+    //set bot configurations
     bool SpaceRace::allowPawnHit(Pawn* victim, Pawn* originator)
     {
@@ -255,6 +232,5 @@
     }
 
-    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to early 
-                                                                    //if they can 
+    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to earlyif they can
     {
         return false;
Index: code/trunk/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRace.h	(revision 11718)
+++ code/trunk/src/modules/gametypes/SpaceRace.h	(revision 11720)
@@ -57,15 +57,12 @@
             virtual ~SpaceRace() {}
 
-             void setConfigValues();
-
-            virtual void tick(float dt) override;
             virtual void start() override;
             virtual void end() override;
- virtual void countdownFinished();
-             virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
+            virtual void countdownFinished();
+            virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
 
 
 
-             virtual void playerEntered(PlayerInfo* player) override;
+            virtual void playerEntered(PlayerInfo* player) override;
 
             //virtual void newCheckpointReached();
Index: code/trunk/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceBot.cc	(revision 11718)
+++ code/trunk/src/modules/gametypes/SpaceRaceBot.cc	(revision 11720)
@@ -23,16 +23,7 @@
  *      Author: purgham
  */
-#include <vector>
 
 #include "SpaceRaceBot.h"
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "gametypes/Gametype.h"
-#include "controllers/AIController.h"
-#include "gametypes/SpaceRaceController.h"
-
-
-
 
 namespace orxonox
@@ -42,25 +33,6 @@
     SpaceRaceBot::SpaceRaceBot(Context* context) : Bot(context){
         RegisterObject(SpaceRaceBot);
-        this->defaultController_ = Class(SpaceRaceController);// ClassByString("")
+        this->defaultController_ = Class(SpaceRaceController);
         this->createController();
-
-    }
-
-SpaceRaceBot::~SpaceRaceBot(){
-
-}
-
-void SpaceRaceBot::setConfigValues()
-    {
-        static const std::string names[] =
-        {
-            "Dr. Julius No",
-            "Berkay Berabi",
-            "Louis Meile"         
-            "Yo mama"
-        };
-        static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
-
-        SetConfigValue(names_, defaultnames);
     }
 }
Index: code/trunk/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceBot.h	(revision 11718)
+++ code/trunk/src/modules/gametypes/SpaceRaceBot.h	(revision 11720)
@@ -30,5 +30,4 @@
 #include "gametypes/GametypesPrereqs.h"
 #include "gametypes/SpaceRaceController.h"
-#include <vector>
 
 
@@ -40,22 +39,5 @@
         public:
             SpaceRaceBot(Context* context);
-            virtual ~SpaceRaceBot();
-    
-            void setConfigValues();
-
-
-
- virtual inline bool isInitialized() const override
-                { return true; }
-            virtual inline float getPing() const override
-                { return 0; }
-            virtual inline float getPacketLossRatio() const override
-                { return 0; }
-
-
-  private:
-            std::vector<std::string> names_;
-
-
+            virtual ~SpaceRaceBot() {}
     };
 }
Index: code/trunk/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11718)
+++ code/trunk/src/modules/gametypes/SpaceRaceController.cc	(revision 11720)
@@ -16,5 +16,5 @@
  *   GNU General Public License for more details.
  *
- *   You should have     a copy of the GNU General Public License
+ *   You should have received a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
@@ -327,5 +327,5 @@
         lastPositionSpaceship = this->getControllableEntity()->getPosition();
        
-this->boostControl();
+        this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
         this->boostControl();
Index: code/trunk/src/orxonox/controllers/HumanController.h
===================================================================
--- code/trunk/src/orxonox/controllers/HumanController.h	(revision 11718)
+++ code/trunk/src/orxonox/controllers/HumanController.h	(revision 11720)
@@ -92,7 +92,7 @@
             //friend class, for mouselook
             friend class Map;
-            static HumanController* localController_s;
 
         protected:
+            static HumanController* localController_s;
             bool controlPaused_;
 
Index: code/trunk/src/orxonox/infos/Bot.cc
===================================================================
--- code/trunk/src/orxonox/infos/Bot.cc	(revision 11718)
+++ code/trunk/src/orxonox/infos/Bot.cc	(revision 11720)
@@ -68,10 +68,33 @@
         static const std::string names[] =
         {
+            "Dr. Julius No",
+            "Rosa Klebb",
+            "Auric Goldfinger",
+            "Emilio Largo",
+            "Ernst Stavro Blofeld",
+            "Dr. Kananga",
+            "Francisco Scaramanga",
+            "Karl Stromberg",
+            "Sir Hugo Drax",
+            "Aris Kristatos",
+            "Kamal Khan",
+            "General Orlov",
+            "Max Zorin",
+            "Brad Whitaker",
+            "General Georgi Koskov",
+            "Franz Sanchez",
+            "Alec Trevelyan",
+            "Elliot Carver",
+            "Elektra King",
+            "Viktor Zokas",
+            "Gustav Graves",
+            "Le Chiffre",
+            "Mr. White",
+            "Dominic Greene",
             "Berkay Berabi",
-            "Louis  Meile"
+            "Louis  Meile",
             "Muten Roshi",
             "Abradolf Lincler",
             "Lionel Messi",
-            "Kamal Khan",
             "Karl the Llama",
             "Thomas the Tankengine",
Index: code/trunk/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/trunk/src/orxonox/infos/GametypeInfo.h	(revision 11718)
+++ code/trunk/src/orxonox/infos/GametypeInfo.h	(revision 11720)
@@ -83,5 +83,4 @@
             inline bool isStartCountdownRunning() const
                 { return this->bStartCountdownRunning_; }
-            
             void changedStartCountdownRunning(void); // Is called when the start countdown has been either started or stopped.
 
@@ -133,10 +132,9 @@
             void dispatchStaticMessage(const std::string& message,const ColourValue& colour) const;
             void dispatchFadingMessage(const std::string& message) const;
-            void setStartCountdown(float countdown); // Set the start countdown to the input value.
-
 
         protected:
             void start(void); // Inform the GametypeInfo that the game has started.
             void end(void); // Inform the GametypeInfo that the game has ended.
+            void setStartCountdown(float countdown); // Set the start countdown to the input value.
             void countdownStartCountdown(float countDown); // Count down the start countdown by the specified value.
             void countDown(); // Count down the start countdown counter.