Index: code/trunk/data/overlays/Asteroids2DHUD.oxo
===================================================================
--- code/trunk/data/overlays/Asteroids2DHUD.oxo	(revision 11783)
+++ code/trunk/data/overlays/Asteroids2DHUD.oxo	(revision 11783)
@@ -0,0 +1,84 @@
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+<Template name="Asteroids2DHUD">
+  <OverlayGroup name="Asteroids2DHUD" scale = "1, 1">
+
+    <OverlayText
+     position  = "0.02, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Lives:   "
+    />
+
+    <Asteroids2DHUDinfo
+     position  = "0.14, 0.1"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = true
+     showlevel     = false
+     showpoints     = false
+    />
+
+    <OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Points: "
+    />
+
+    <Asteroids2DHUDinfo
+     position  = "0.14, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showpoints     = true
+    />
+
+    <OverlayText
+     position  = "0.02, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Level: "
+    />
+
+    <Asteroids2DHUDinfo
+     position  = "0.14, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = false
+     showlevel     = true
+     showpoints     = false
+    />
+
+    
+  </OverlayGroup>
+</Template>
+
+<Template name="spaceshiphud">
+  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
+    
+ </OverlayGroup>
+</Template>
Index: code/trunk/data/overlays/FlappyOrxHUD.oxo
===================================================================
--- code/trunk/data/overlays/FlappyOrxHUD.oxo	(revision 11783)
+++ code/trunk/data/overlays/FlappyOrxHUD.oxo	(revision 11783)
@@ -0,0 +1,69 @@
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+<Template name="FlappyOrxHUD">
+  <OverlayGroup name="FlappyOrxHUD" scale = "1, 1">
+   
+    <FlappyOrxHUDinfo
+     position  = "0.02, 0.01"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showpoints     = true
+    />
+
+    <FlappyOrxHUDinfo
+     position  = "0.5, 0.5"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 0.0, 0.0, 1.0"
+     align     = "center"
+
+     showmessage     = true
+     messageID = 0
+
+    />
+
+    <FlappyOrxHUDinfo
+         position  = "0.5, 0.6"
+         pickpoint = "0.0, 0.0"
+         font      = "ShareTechMono"
+         textsize  = 0.04
+         colour    = "1.0, 1.0, 1.0, 1.0"
+         align     = "center"
+
+         showmessage     = true
+         messageID = 1
+    />
+    <FlappyOrxHUDinfo
+     position  = "0.5, 0.65"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "center"
+
+     showmessage     = true
+     messageID = 2
+    />
+    <FlappyOrxHUDinfo
+     position  = "0.5, 0.7"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "center"
+
+     showmessage     = true
+     messageID = 3
+
+    />
+
+    
+  </OverlayGroup>
+</Template>
Index: code/trunk/data/overlays/HUDTemplates3.oxo
===================================================================
--- code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11718)
+++ code/trunk/data/overlays/HUDTemplates3.oxo	(revision 11783)
@@ -47,5 +47,5 @@
 <Template name="spaceshiphud">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <Map />
+
 
     <HUDHealthBar
@@ -217,6 +217,6 @@
 
     <GUIOverlay
-      name = "Dialogue"
-      guiname = "Dialogue"
+      name = "Dialog"
+      guiname = "Dialog"
       visible = "false"
     />
Index: code/trunk/data/overlays/HUDTemplatesFPS.oxo
===================================================================
--- code/trunk/data/overlays/HUDTemplatesFPS.oxo	(revision 11718)
+++ code/trunk/data/overlays/HUDTemplatesFPS.oxo	(revision 11783)
@@ -1,6 +1,4 @@
 <Template name="fpshud">
   <OverlayGroup name = "fpshud" scale = "1, 1">
-    <Map />
-
     <HUDHealthBar
      name              = "HealthBar1"
Index: code/trunk/data/overlays/StoryModeHUD.oxo
===================================================================
--- code/trunk/data/overlays/StoryModeHUD.oxo	(revision 11718)
+++ code/trunk/data/overlays/StoryModeHUD.oxo	(revision 11783)
@@ -2,6 +2,4 @@
 <Template name="StoryModeMap">
   <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <Map />
-
 
      <GUIOverlay
Index: code/trunk/data/overlays/StoryModeHUD2.oxo
===================================================================
--- code/trunk/data/overlays/StoryModeHUD2.oxo	(revision 11783)
+++ code/trunk/data/overlays/StoryModeHUD2.oxo	(revision 11783)
@@ -0,0 +1,13 @@
+<Template name="StoryModeHUD2">
+  <OverlayGroup name = "StoryModeHUD2" scale = "1, 1">\
+
+    <StoryModeHUD
+     name           = "StoryMode"
+     correctaspect  = false
+     font           = "VeraMono"
+     textSize       = 0.0420
+     align          = "center"
+    />
+
+  </OverlayGroup>
+</Template>