Index: data/branches/cegui0.8_ogre1.9/gui/imagesets/WindowsLook.imageset
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/imagesets/WindowsLook.imageset	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/imagesets/WindowsLook.imageset	(revision 11792)
@@ -1,166 +1,158 @@
-<?xml version="1.0" ?>
-<Imageset Name="WindowsLook" Imagefile="WindowsLook.png" NativeHorzRes="800" NativeVertRes="600" AutoScaled="true">
-	<Image Name="Background" XPos="9" YPos="9" Width="2" Height="2" />
-	<Image Name="WindowFrameLeft" XPos="2" YPos="9" Width="4" Height="2" />
-	<Image Name="WindowFrameRight" XPos="14" YPos="9" Width="4" Height="2" />
-	<Image Name="WindowFrameTop" XPos="9" YPos="2" Width="2" Height="4" />
-	<Image Name="WindowFrameBottom" XPos="9" YPos="14" Width="2" Height="4" />
-	<Image Name="WindowFrameTopLeft" XPos="2" YPos="2" Width="4" Height="4" />
-	<Image Name="WindowFrameTopRight" XPos="14" YPos="2" Width="4" Height="4" />
-	<Image Name="WindowFrameBottomLeft" XPos="2" YPos="14" Width="4" Height="4" />
-	<Image Name="WindowFrameBottomRight" XPos="14" YPos="14" Width="4" Height="4" />
-	<Image Name="ButtonNormalLeft" XPos="20" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonNormalRight" XPos="34" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonNormalTop" XPos="27" YPos="2" Width="2" Height="2" />
-	<Image Name="ButtonNormalBottom" XPos="27" YPos="16" Width="2" Height="2" />
-	<Image Name="ButtonNormalTopLeft" XPos="20" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonNormalTopRight" XPos="33" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonNormalBottomLeft" XPos="20" YPos="15" Width="3" Height="3" />
-	<Image Name="ButtonNormalBottomRight" XPos="33" YPos="15" Width="3" Height="3" />
-	<Image Name="ButtonPushedLeft" XPos="38" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonPushedRight" XPos="52" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonPushedTop" XPos="45" YPos="2" Width="2" Height="2" />
-	<Image Name="ButtonPushedBottom" XPos="45" YPos="16" Width="2" Height="2" />
-	<Image Name="ButtonPushedTopLeft" XPos="38" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonPushedTopRight" XPos="51" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonPushedBottomLeft" XPos="38" YPos="15" Width="3" Height="3" />
-	<Image Name="ButtonPushedBottomRight" XPos="51" YPos="15" Width="3" Height="3" />
-	<Image Name="ButtonHoverLeft" XPos="56" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonHoverRight" XPos="70" YPos="9" Width="2" Height="2" />
-	<Image Name="ButtonHoverTop" XPos="63" YPos="2" Width="2" Height="2" />
-	<Image Name="ButtonHoverBottom" XPos="63" YPos="16" Width="2" Height="2" />
-	<Image Name="ButtonHoverTopLeft" XPos="56" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonHoverTopRight" XPos="69" YPos="2" Width="3" Height="3" />
-	<Image Name="ButtonHoverBottomLeft" XPos="56" YPos="15" Width="3" Height="3" />
-	<Image Name="ButtonHoverBottomRight" XPos="69" YPos="15" Width="3" Height="3" />
-	<Image Name="EditFrameLeft" XPos="74" YPos="9" Width="3" Height="2" />
-	<Image Name="EditFrameRight" XPos="87" YPos="9" Width="3" Height="2" />
-	<Image Name="EditFrameTop" XPos="81" YPos="2" Width="2" Height="3" />
-	<Image Name="EditFrameBottom" XPos="81" YPos="15" Width="2" Height="3" />
-	<Image Name="EditFrameTopLeft" XPos="74" YPos="2" Width="3" Height="3" />
-	<Image Name="EditFrameTopRight" XPos="87" YPos="2" Width="3" Height="3" />
-	<Image Name="EditFrameBottomLeft" XPos="74" YPos="15" Width="3" Height="3" />
-	<Image Name="EditFrameBottomRight" XPos="87" YPos="15" Width="3" Height="3" />
-	<Image Name="StaticFrameLeft" XPos="92" YPos="9" Width="2" Height="2" />
-	<Image Name="StaticFrameRight" XPos="106" YPos="9" Width="2" Height="2" />
-	<Image Name="StaticFrameTop" XPos="99" YPos="2" Width="2" Height="2" />
-	<Image Name="StaticFrameBottom" XPos="99" YPos="16" Width="2" Height="2" />
-	<Image Name="StaticFrameTopLeft" XPos="92" YPos="2" Width="3" Height="3" />
-	<Image Name="StaticFrameTopRight" XPos="105" YPos="2" Width="3" Height="3" />
-	<Image Name="StaticFrameBottomLeft" XPos="92" YPos="15" Width="3" Height="3" />
-	<Image Name="StaticFrameBottomRight" XPos="105" YPos="15" Width="3" Height="3" />
-	<Image Name="CloseButtonNormal" XPos="2" YPos="20" Width="13" Height="13" />
-	<Image Name="CloseButtonHover" XPos="2" YPos="35" Width="13" Height="13" />
-	<Image Name="CloseButtonPushed" XPos="2" YPos="50" Width="13" Height="13" />
-	<Image Name="TitlebarTopLeft" XPos="87" YPos="103" Width="8" Height="4" />
-	<Image Name="TitlebarTopRight" XPos="109" YPos="103" Width="8" Height="4" />
-	<Image Name="TitlebarBottomLeft" XPos="87" YPos="123" Width="8" Height="2" />
-	<Image Name="TitlebarBottomRight" XPos="109" YPos="123" Width="8" Height="2" />
-	<Image Name="TitlebarLeft" XPos="87" YPos="110" Width="8" Height="10" />
-	<Image Name="TitlebarRight" XPos="109" YPos="110" Width="8" Height="10" />
-	<Image Name="TitlebarTop" XPos="98" YPos="103" Width="8" Height="4" />
-	<Image Name="TitlebarBottom" XPos="98" YPos="123" Width="8" Height="2" />
-	<Image Name="TitlebarFill" XPos="98" YPos="110" Width="8" Height="10" />
-	<Image Name="CheckboxNormal" XPos="17" YPos="37" Width="10" Height="10" />
-	<Image Name="CheckboxHover" XPos="17" YPos="49" Width="10" Height="10" />
-	<Image Name="CheckboxMark" XPos="17" YPos="61" Width="10" Height="10" />
-	<Image Name="RadioButtonNormal" XPos="29" YPos="37" Width="10" Height="10" />
-	<Image Name="RadioButtonHover" XPos="29" YPos="49" Width="10" Height="10" />
-	<Image Name="RadioButtonMark" XPos="29" YPos="61" Width="10" Height="10" />
-	<Image Name="SliderThumbNormal" XPos="47" YPos="20" Width="7" Height="10" />
-	<Image Name="SliderThumbHover" XPos="47" YPos="32" Width="7" Height="10" />
-	<Image Name="SliderTrackLeft" XPos="56" YPos="20" Width="3" Height="4" />
-	<Image Name="SlidertrackMiddle" XPos="63" YPos="20" Width="2" Height="4" />
-	<Image Name="SliderTrackRight" XPos="69" YPos="20" Width="3" Height="4" />
-	<Image Name="SliderTick" XPos="56" YPos="26" Width="1" Height="4" />
-	<Image Name="HeaderMainBrush" XPos="53" YPos="45" Width="2" Height="2" />
-	<Image Name="HeaderBottomEdge" XPos="53" YPos="50" Width="2" Height="4" />
-	<Image Name="HeaderSplitter" XPos="47" YPos="44" Width="3" Height="15" />
-	<Image Name="VertScrollbarGrip" XPos="41" YPos="68" Width="5" Height="8" />
-	<Image Name="HorzScrollbarGrip" XPos="41" YPos="61" Width="8" Height="5" />
-	<Image Name="LargeLeftArrow" XPos="2" YPos="65" Width="5" Height="9" />
-	<Image Name="LargeRightArrow" XPos="9" YPos="65" Width="5" Height="9" />
-	<Image Name="LargeUpArrow" XPos="2" YPos="76" Width="9" Height="5" />
-	<Image Name="LargeDownArrow" XPos="2" YPos="83" Width="9" Height="5" />
-	<Image Name="SmallLeftArrow" XPos="17" YPos="73" Width="5" Height="5" />
-	<Image Name="SmallRightArrow" XPos="24" YPos="73" Width="5" Height="5" />
-	<Image Name="SmallUpArrow" XPos="17" YPos="80" Width="5" Height="5" />
-	<Image Name="SmallDownArrow" XPos="24" YPos="80" Width="5" Height="5" />
-	<Image Name="EditBoxCarat" XPos="29" YPos="118" Width="2" Height="8" />
-	<Image Name="MouseArrow" XPos="2" YPos="90" Width="10" Height="19" XOffset="0" YOffset="0" />
-	<Image Name="MouseMoveCursor" XPos="14" YPos="90" Width="22" Height="22" XOffset="-10" YOffset="-10" />
-	<Image Name="MouseNoSoCursor" XPos="38" YPos="89" Width="11" Height="19" XOffset="-4" YOffset="-9" />
-	<Image Name="MouseEsWeCursor" XPos="2" YPos="116" Width="19" Height="8" XOffset="-9" YOffset="-4" />
-	<Image Name="MouseNeSwCursor" XPos="51" YPos="90" Width="15" Height="15" XOffset="-7" YOffset="-6" />
-	<Image Name="MouseNwSeCursor" XPos="68" YPos="90" Width="15" Height="15" XOffset="-6" YOffset="-7" />
-	<Image Name="MouseTextBar" XPos="73" YPos="107" Width="11" Height="20" XOffset="-5" YOffset="-10" />
-	
-	<Image Name="TabHorizontalTopFiller" XPos="81" YPos="20" Width="2" Height="2" />
-	<Image Name="TabHorizontalBottomFiller" XPos="81" YPos="34" Width="2" Height="2" />
-	<Image Name="TabContentPaneUpperLeft" XPos="92" YPos="2" Width="3" Height="3" />
-	<Image Name="TabContentPaneTop" XPos="99" YPos="2" Width="2" Height="3" />
-	<Image Name="TabContentPaneUpperRight" XPos="105" YPos="2" Width="3" Height="3" />
-	<Image Name="TabContentPaneLeft" XPos="92" YPos="9" Width="2" Height="2" />
-	<Image Name="TabContentPaneMiddle" XPos="9" YPos="9" Width="2" Height="2" />
-	<Image Name="TabContentPaneRight" XPos="106" YPos="9" Width="2" Height="2" />
-	<Image Name="TabContentPaneLower" XPos="99" YPos="15" Width="2" Height="3" />
-	<Image Name="TabContentPaneLowerLeft" XPos="92" YPos="15" Width="3" Height="3" />
-	<Image Name="TabContentPaneLowerRight" XPos="105" YPos="15" Width="3" Height="3" />
-
-	<Image Name="TabButtonUpperLeftNormal" XPos="74" YPos="20" Width="3" Height="3" />
-	<Image Name="TabButtonUpperNormal" XPos="81" YPos="20" Width="2" Height="3" />
-	<Image Name="TabButtonUpperRightNormal" XPos="87" YPos="20" Width="3" Height="3" />
-	<Image Name="TabButtonLeftNormal" XPos="74" YPos="27" Width="2" Height="2" />
-	<Image Name="TabButtonMiddleNormal" XPos="9" YPos="9" Width="2" Height="2" />
-	<Image Name="TabButtonRightNormal" XPos="88" YPos="27" Width="2" Height="2" />
-	<Image Name="TabButtonLowerLeftNormal" XPos="74" YPos="33" Width="3" Height="3" />
-	<Image Name="TabButtonLowerNormal" XPos="81" YPos="33" Width="2" Height="3" />
-	<Image Name="TabButtonLowerRightNormal" XPos="87" YPos="33" Width="3" Height="3" />
-
-	<Image Name="TabButtonUpperLeftSelected" XPos="92" YPos="20" Width="3" Height="3" />
-	<Image Name="TabButtonUpperSelected" XPos="99" YPos="20" Width="2" Height="3" />
-	<Image Name="TabButtonUpperRightSelected" XPos="105" YPos="20" Width="3" Height="3" />
-	<Image Name="TabButtonLeftSelected" XPos="92" YPos="27" Width="2" Height="2" />
-	<Image Name="TabButtonMiddleSelected" XPos="9" YPos="9" Width="2" Height="2" />
-	<Image Name="TabButtonRightSelected" XPos="106" YPos="27" Width="2" Height="2" />
-	<Image Name="TabButtonLowerLeftSelected" XPos="92" YPos="33" Width="3" Height="3" />
-	<Image Name="TabButtonLowerSelected" XPos="99" YPos="33" Width="2" Height="3" />
-	<Image Name="TabButtonLowerRightSelected" XPos="105" YPos="33" Width="3" Height="3" />
-
-	<Image Name="TabButtonScrollLeftNormal" XPos="75" YPos="75" Width="13" Height="13" />
-	<Image Name="TabButtonScrollRightNormal" XPos="87" YPos="75" Width="13" Height="13" />
-	<Image Name="TabButtonScrollLeftHover" XPos="99" YPos="75" Width="13" Height="13" />
-	<Image Name="TabButtonScrollRightHover" XPos="111" YPos="75" Width="13" Height="13" />
-
-	<Image Name="TooltipTopLeft" XPos="74" YPos="38" Width="3" Height="3" />
-	<Image Name="TooltipTopRight" XPos="87" YPos="38" Width="4" Height="3" />
-	<Image Name="TooltipBottomLeft" XPos="74" YPos="51" Width="3" Height="4" />
-	<Image Name="TooltipBottomRight" XPos="87" YPos="51" Width="4" Height="4" />
-	<Image Name="TooltipLeftEdge" XPos="74" YPos="45" Width="3" Height="2" />
-	<Image Name="TooltipRightEdge" XPos="87" YPos="45" Width="4" Height="2" />
-	<Image Name="TooltipTopEdge" XPos="81" YPos="38" Width="2" Height="3" />
-	<Image Name="TooltipBottomEdge" XPos="81" YPos="51" Width="2" Height="4" />
-	<Image Name="TooltipMiddle" XPos="81" YPos="45" Width="2" Height="2" />
-
-	<Image Name="MenuTopLeft" XPos="61" YPos="57" Width="2" Height="2" />
-	<Image Name="MenuTopRight" XPos="70" YPos="57" Width="2" Height="2" />
-	<Image Name="MenuBottomLeft" XPos="61" YPos="66" Width="2" Height="2" />
-	<Image Name="MenuBottomRight" XPos="70" YPos="66" Width="2" Height="2" />
-	<Image Name="MenuLeft" XPos="61" YPos="62" Width="2" Height="1" />
-	<Image Name="MenuRight" XPos="70" YPos="62" Width="2" Height="1" />
-	<Image Name="MenuTop" XPos="66" YPos="57" Width="1" Height="2" />
-	<Image Name="MenuBottom" XPos="66" YPos="66" Width="1" Height="2" />
-	
-	<Image Name="PopupMenuFrameTopLeft" XPos="74" YPos="57" Width="3" Height="3" />
-	<Image Name="PopupMenuFrameTopRight" XPos="87" YPos="57" Width="3" Height="3" />
-	<Image Name="PopupMenuFrameBottomLeft" XPos="74" YPos="70" Width="3" Height="3" />
-	<Image Name="PopupMenuFrameBottomRight" XPos="87" YPos="70" Width="3" Height="3" />
-	<Image Name="PopupMenuFrameLeft" XPos="74" YPos="64" Width="3" Height="2" />
-	<Image Name="PopupMenuFrameRight" XPos="87" YPos="64" Width="3" Height="2" />
-	<Image Name="PopupMenuFrameTop" XPos="81" YPos="57" Width="2" Height="3" />
-	<Image Name="PopupMenuFrameBottom" XPos="81" YPos="70" Width="2" Height="3" />
-	<Image Name="PopupMenuArrowRight" XPos="61" YPos="75" Width="5" Height="9" />
-	<Image Name="PopupMenuArrowLeft" XPos="68" YPos="75" Width="5" Height="9" />
-
-	<Image Name="MultiListSelectionBrush" XPos="9" YPos="71" Width="14" Height="14" />
+<?xml version='1.0' encoding='utf-8'?>
+<Imageset autoScaled="true" imagefile="WindowsLook.png" name="WindowsLook" nativeHorzRes="800" nativeVertRes="600" version="2">
+    <Image height="2" name="Background" width="2" xPos="9" yPos="9" />
+    <Image height="2" name="WindowFrameLeft" width="4" xPos="2" yPos="9" />
+    <Image height="2" name="WindowFrameRight" width="4" xPos="14" yPos="9" />
+    <Image height="4" name="WindowFrameTop" width="2" xPos="9" yPos="2" />
+    <Image height="4" name="WindowFrameBottom" width="2" xPos="9" yPos="14" />
+    <Image height="4" name="WindowFrameTopLeft" width="4" xPos="2" yPos="2" />
+    <Image height="4" name="WindowFrameTopRight" width="4" xPos="14" yPos="2" />
+    <Image height="4" name="WindowFrameBottomLeft" width="4" xPos="2" yPos="14" />
+    <Image height="4" name="WindowFrameBottomRight" width="4" xPos="14" yPos="14" />
+    <Image height="2" name="ButtonNormalLeft" width="2" xPos="20" yPos="9" />
+    <Image height="2" name="ButtonNormalRight" width="2" xPos="34" yPos="9" />
+    <Image height="2" name="ButtonNormalTop" width="2" xPos="27" yPos="2" />
+    <Image height="2" name="ButtonNormalBottom" width="2" xPos="27" yPos="16" />
+    <Image height="3" name="ButtonNormalTopLeft" width="3" xPos="20" yPos="2" />
+    <Image height="3" name="ButtonNormalTopRight" width="3" xPos="33" yPos="2" />
+    <Image height="3" name="ButtonNormalBottomLeft" width="3" xPos="20" yPos="15" />
+    <Image height="3" name="ButtonNormalBottomRight" width="3" xPos="33" yPos="15" />
+    <Image height="2" name="ButtonPushedLeft" width="2" xPos="38" yPos="9" />
+    <Image height="2" name="ButtonPushedRight" width="2" xPos="52" yPos="9" />
+    <Image height="2" name="ButtonPushedTop" width="2" xPos="45" yPos="2" />
+    <Image height="2" name="ButtonPushedBottom" width="2" xPos="45" yPos="16" />
+    <Image height="3" name="ButtonPushedTopLeft" width="3" xPos="38" yPos="2" />
+    <Image height="3" name="ButtonPushedTopRight" width="3" xPos="51" yPos="2" />
+    <Image height="3" name="ButtonPushedBottomLeft" width="3" xPos="38" yPos="15" />
+    <Image height="3" name="ButtonPushedBottomRight" width="3" xPos="51" yPos="15" />
+    <Image height="2" name="ButtonHoverLeft" width="2" xPos="56" yPos="9" />
+    <Image height="2" name="ButtonHoverRight" width="2" xPos="70" yPos="9" />
+    <Image height="2" name="ButtonHoverTop" width="2" xPos="63" yPos="2" />
+    <Image height="2" name="ButtonHoverBottom" width="2" xPos="63" yPos="16" />
+    <Image height="3" name="ButtonHoverTopLeft" width="3" xPos="56" yPos="2" />
+    <Image height="3" name="ButtonHoverTopRight" width="3" xPos="69" yPos="2" />
+    <Image height="3" name="ButtonHoverBottomLeft" width="3" xPos="56" yPos="15" />
+    <Image height="3" name="ButtonHoverBottomRight" width="3" xPos="69" yPos="15" />
+    <Image height="2" name="EditFrameLeft" width="3" xPos="74" yPos="9" />
+    <Image height="2" name="EditFrameRight" width="3" xPos="87" yPos="9" />
+    <Image height="3" name="EditFrameTop" width="2" xPos="81" yPos="2" />
+    <Image height="3" name="EditFrameBottom" width="2" xPos="81" yPos="15" />
+    <Image height="3" name="EditFrameTopLeft" width="3" xPos="74" yPos="2" />
+    <Image height="3" name="EditFrameTopRight" width="3" xPos="87" yPos="2" />
+    <Image height="3" name="EditFrameBottomLeft" width="3" xPos="74" yPos="15" />
+    <Image height="3" name="EditFrameBottomRight" width="3" xPos="87" yPos="15" />
+    <Image height="2" name="StaticFrameLeft" width="2" xPos="92" yPos="9" />
+    <Image height="2" name="StaticFrameRight" width="2" xPos="106" yPos="9" />
+    <Image height="2" name="StaticFrameTop" width="2" xPos="99" yPos="2" />
+    <Image height="2" name="StaticFrameBottom" width="2" xPos="99" yPos="16" />
+    <Image height="3" name="StaticFrameTopLeft" width="3" xPos="92" yPos="2" />
+    <Image height="3" name="StaticFrameTopRight" width="3" xPos="105" yPos="2" />
+    <Image height="3" name="StaticFrameBottomLeft" width="3" xPos="92" yPos="15" />
+    <Image height="3" name="StaticFrameBottomRight" width="3" xPos="105" yPos="15" />
+    <Image height="13" name="CloseButtonNormal" width="13" xPos="2" yPos="20" />
+    <Image height="13" name="CloseButtonHover" width="13" xPos="2" yPos="35" />
+    <Image height="13" name="CloseButtonPushed" width="13" xPos="2" yPos="50" />
+    <Image height="4" name="TitlebarTopLeft" width="8" xPos="87" yPos="103" />
+    <Image height="4" name="TitlebarTopRight" width="8" xPos="109" yPos="103" />
+    <Image height="2" name="TitlebarBottomLeft" width="8" xPos="87" yPos="123" />
+    <Image height="2" name="TitlebarBottomRight" width="8" xPos="109" yPos="123" />
+    <Image height="10" name="TitlebarLeft" width="8" xPos="87" yPos="110" />
+    <Image height="10" name="TitlebarRight" width="8" xPos="109" yPos="110" />
+    <Image height="4" name="TitlebarTop" width="8" xPos="98" yPos="103" />
+    <Image height="2" name="TitlebarBottom" width="8" xPos="98" yPos="123" />
+    <Image height="10" name="TitlebarFill" width="8" xPos="98" yPos="110" />
+    <Image height="10" name="CheckboxNormal" width="10" xPos="17" yPos="37" />
+    <Image height="10" name="CheckboxHover" width="10" xPos="17" yPos="49" />
+    <Image height="10" name="CheckboxMark" width="10" xPos="17" yPos="61" />
+    <Image height="10" name="RadioButtonNormal" width="10" xPos="29" yPos="37" />
+    <Image height="10" name="RadioButtonHover" width="10" xPos="29" yPos="49" />
+    <Image height="10" name="RadioButtonMark" width="10" xPos="29" yPos="61" />
+    <Image height="10" name="SliderThumbNormal" width="7" xPos="47" yPos="20" />
+    <Image height="10" name="SliderThumbHover" width="7" xPos="47" yPos="32" />
+    <Image height="4" name="SliderTrackLeft" width="3" xPos="56" yPos="20" />
+    <Image height="4" name="SlidertrackMiddle" width="2" xPos="63" yPos="20" />
+    <Image height="4" name="SliderTrackRight" width="3" xPos="69" yPos="20" />
+    <Image height="4" name="SliderTick" width="1" xPos="56" yPos="26" />
+    <Image height="2" name="HeaderMainBrush" width="2" xPos="53" yPos="45" />
+    <Image height="4" name="HeaderBottomEdge" width="2" xPos="53" yPos="50" />
+    <Image height="15" name="HeaderSplitter" width="3" xPos="47" yPos="44" />
+    <Image height="8" name="VertScrollbarGrip" width="5" xPos="41" yPos="68" />
+    <Image height="5" name="HorzScrollbarGrip" width="8" xPos="41" yPos="61" />
+    <Image height="9" name="LargeLeftArrow" width="5" xPos="2" yPos="65" />
+    <Image height="9" name="LargeRightArrow" width="5" xPos="9" yPos="65" />
+    <Image height="5" name="LargeUpArrow" width="9" xPos="2" yPos="76" />
+    <Image height="5" name="LargeDownArrow" width="9" xPos="2" yPos="83" />
+    <Image height="5" name="SmallLeftArrow" width="5" xPos="17" yPos="73" />
+    <Image height="5" name="SmallRightArrow" width="5" xPos="24" yPos="73" />
+    <Image height="5" name="SmallUpArrow" width="5" xPos="17" yPos="80" />
+    <Image height="5" name="SmallDownArrow" width="5" xPos="24" yPos="80" />
+    <Image height="8" name="EditBoxCarat" width="2" xPos="29" yPos="118" />
+    <Image XOffset="0" YOffset="0" height="19" name="MouseArrow" width="10" xPos="2" yPos="90" />
+    <Image XOffset="-10" YOffset="-10" height="22" name="MouseMoveCursor" width="22" xPos="14" yPos="90" />
+    <Image XOffset="-4" YOffset="-9" height="19" name="MouseNoSoCursor" width="11" xPos="38" yPos="89" />
+    <Image XOffset="-9" YOffset="-4" height="8" name="MouseEsWeCursor" width="19" xPos="2" yPos="116" />
+    <Image XOffset="-7" YOffset="-6" height="15" name="MouseNeSwCursor" width="15" xPos="51" yPos="90" />
+    <Image XOffset="-6" YOffset="-7" height="15" name="MouseNwSeCursor" width="15" xPos="68" yPos="90" />
+    <Image XOffset="-5" YOffset="-10" height="20" name="MouseTextBar" width="11" xPos="73" yPos="107" />
+    <Image height="2" name="TabHorizontalTopFiller" width="2" xPos="81" yPos="20" />
+    <Image height="2" name="TabHorizontalBottomFiller" width="2" xPos="81" yPos="34" />
+    <Image height="3" name="TabContentPaneUpperLeft" width="3" xPos="92" yPos="2" />
+    <Image height="3" name="TabContentPaneTop" width="2" xPos="99" yPos="2" />
+    <Image height="3" name="TabContentPaneUpperRight" width="3" xPos="105" yPos="2" />
+    <Image height="2" name="TabContentPaneLeft" width="2" xPos="92" yPos="9" />
+    <Image height="2" name="TabContentPaneMiddle" width="2" xPos="9" yPos="9" />
+    <Image height="2" name="TabContentPaneRight" width="2" xPos="106" yPos="9" />
+    <Image height="3" name="TabContentPaneLower" width="2" xPos="99" yPos="15" />
+    <Image height="3" name="TabContentPaneLowerLeft" width="3" xPos="92" yPos="15" />
+    <Image height="3" name="TabContentPaneLowerRight" width="3" xPos="105" yPos="15" />
+    <Image height="3" name="TabButtonUpperLeftNormal" width="3" xPos="74" yPos="20" />
+    <Image height="3" name="TabButtonUpperNormal" width="2" xPos="81" yPos="20" />
+    <Image height="3" name="TabButtonUpperRightNormal" width="3" xPos="87" yPos="20" />
+    <Image height="2" name="TabButtonLeftNormal" width="2" xPos="74" yPos="27" />
+    <Image height="2" name="TabButtonMiddleNormal" width="2" xPos="9" yPos="9" />
+    <Image height="2" name="TabButtonRightNormal" width="2" xPos="88" yPos="27" />
+    <Image height="3" name="TabButtonLowerLeftNormal" width="3" xPos="74" yPos="33" />
+    <Image height="3" name="TabButtonLowerNormal" width="2" xPos="81" yPos="33" />
+    <Image height="3" name="TabButtonLowerRightNormal" width="3" xPos="87" yPos="33" />
+    <Image height="3" name="TabButtonUpperLeftSelected" width="3" xPos="92" yPos="20" />
+    <Image height="3" name="TabButtonUpperSelected" width="2" xPos="99" yPos="20" />
+    <Image height="3" name="TabButtonUpperRightSelected" width="3" xPos="105" yPos="20" />
+    <Image height="2" name="TabButtonLeftSelected" width="2" xPos="92" yPos="27" />
+    <Image height="2" name="TabButtonMiddleSelected" width="2" xPos="9" yPos="9" />
+    <Image height="2" name="TabButtonRightSelected" width="2" xPos="106" yPos="27" />
+    <Image height="3" name="TabButtonLowerLeftSelected" width="3" xPos="92" yPos="33" />
+    <Image height="3" name="TabButtonLowerSelected" width="2" xPos="99" yPos="33" />
+    <Image height="3" name="TabButtonLowerRightSelected" width="3" xPos="105" yPos="33" />
+    <Image height="13" name="TabButtonScrollLeftNormal" width="13" xPos="75" yPos="75" />
+    <Image height="13" name="TabButtonScrollRightNormal" width="13" xPos="87" yPos="75" />
+    <Image height="13" name="TabButtonScrollLeftHover" width="13" xPos="99" yPos="75" />
+    <Image height="13" name="TabButtonScrollRightHover" width="13" xPos="111" yPos="75" />
+    <Image height="3" name="TooltipTopLeft" width="3" xPos="74" yPos="38" />
+    <Image height="3" name="TooltipTopRight" width="4" xPos="87" yPos="38" />
+    <Image height="4" name="TooltipBottomLeft" width="3" xPos="74" yPos="51" />
+    <Image height="4" name="TooltipBottomRight" width="4" xPos="87" yPos="51" />
+    <Image height="2" name="TooltipLeftEdge" width="3" xPos="74" yPos="45" />
+    <Image height="2" name="TooltipRightEdge" width="4" xPos="87" yPos="45" />
+    <Image height="3" name="TooltipTopEdge" width="2" xPos="81" yPos="38" />
+    <Image height="4" name="TooltipBottomEdge" width="2" xPos="81" yPos="51" />
+    <Image height="2" name="TooltipMiddle" width="2" xPos="81" yPos="45" />
+    <Image height="2" name="MenuTopLeft" width="2" xPos="61" yPos="57" />
+    <Image height="2" name="MenuTopRight" width="2" xPos="70" yPos="57" />
+    <Image height="2" name="MenuBottomLeft" width="2" xPos="61" yPos="66" />
+    <Image height="2" name="MenuBottomRight" width="2" xPos="70" yPos="66" />
+    <Image height="1" name="MenuLeft" width="2" xPos="61" yPos="62" />
+    <Image height="1" name="MenuRight" width="2" xPos="70" yPos="62" />
+    <Image height="2" name="MenuTop" width="1" xPos="66" yPos="57" />
+    <Image height="2" name="MenuBottom" width="1" xPos="66" yPos="66" />
+    <Image height="3" name="PopupMenuFrameTopLeft" width="3" xPos="74" yPos="57" />
+    <Image height="3" name="PopupMenuFrameTopRight" width="3" xPos="87" yPos="57" />
+    <Image height="3" name="PopupMenuFrameBottomLeft" width="3" xPos="74" yPos="70" />
+    <Image height="3" name="PopupMenuFrameBottomRight" width="3" xPos="87" yPos="70" />
+    <Image height="2" name="PopupMenuFrameLeft" width="3" xPos="74" yPos="64" />
+    <Image height="2" name="PopupMenuFrameRight" width="3" xPos="87" yPos="64" />
+    <Image height="3" name="PopupMenuFrameTop" width="2" xPos="81" yPos="57" />
+    <Image height="3" name="PopupMenuFrameBottom" width="2" xPos="81" yPos="70" />
+    <Image height="9" name="PopupMenuArrowRight" width="5" xPos="61" yPos="75" />
+    <Image height="9" name="PopupMenuArrowLeft" width="5" xPos="68" yPos="75" />
+    <Image height="14" name="MultiListSelectionBrush" width="14" xPos="9" yPos="71" />
 </Imageset>