Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/Dialog.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/Dialog.layout	(revision 11805)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/Dialog.layout	(revision 11806)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="DefaultWindow">
+    <Window name="DialogBackground" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="MaxSize" value="{{1,0},{1,0}}" />
@@ -8,5 +8,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -23,5 +23,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.3,0},{0.05,0},{0.95,0},{0.45,0}}" />
@@ -40,5 +40,5 @@
                         <Property name="InheritsAlpha" value="False" />
                         <Property name="HorzFormatting" value="WordWrapLeftAligned" />
-                        <Property name="VertFormatting" value="CentreAligned" />
+                        <Property name="VertFormatting" value="TopAligned" />
                         <Property name="MaxSize" value="{{1,0},{1,0}}" />
                         <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
@@ -49,5 +49,5 @@
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
                 <Property name="Area" value="{{0.05,0},{0.5,0},{0.95,0},{0.85,0}}" />
-                <Event function="Dialog.answer_changed" name="ItemSelectionChanged" />
+                <Event function="Dialog.answer_changed" name="SelectionChanged" />
             </Window>
             <Window name="SayButton" type="MenuWidgets/Button">
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/DockingDialog.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11805)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11806)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="MenuWidgets/StaticImage">
+    <Window name="DockingBackground" type="MenuWidgets/StaticImage">
         <Property name="FrameEnabled" value="False" />
         <Property name="InheritsAlpha" value="False" />
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/PickupInventory.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/PickupInventory.layout	(revision 11805)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/PickupInventory.layout	(revision 11806)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="DefaultWindow">
+    <Window name="PickupInventoryBackground" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="MaxSize" value="{{1,0},{1,0}}" />
@@ -9,5 +9,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />
@@ -17,5 +17,5 @@
                 <Property name="InheritsAlpha" value="False" />
                 <Property name="MaxSize" value="{{1,0},{1,0}}" />
-                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="HorzFormatting" value="CentreAligned" />
                 <Property name="VertFormatting" value="TopAligned" />
                 <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout	(revision 11805)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/QuestGUI.layout	(revision 11806)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="DefaultWindow">
+    <Window name="QuestBackground" type="DefaultWindow">
         <Property name="InheritsAlpha" value="False" />
         <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
@@ -24,5 +24,5 @@
                 <Window name="QuestsList" type="MenuWidgets/Listbox">
                     <Property name="Area" value="{{0,0},{0,30},{1,0},{1,0}}" />
-                    <Event function="QuestGUI.changeQuest_clicked" name="ItemSelectionChanged" />
+                    <Event function="QuestGUI.changeQuest_clicked" name="SelectionChanged" />
                 </Window>
             </Window>
@@ -50,5 +50,5 @@
                             <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
                             <Property name="InheritsAlpha" value="False" />
-                            <Event function="QuestGUI.changeToSubquest_clicked" name="ItemSelectionChanged" />
+                            <Event function="QuestGUI.changeToSubquest_clicked" name="SelectionChanged" />
                         </Window>
                         <Window name="Hints" type="MenuWidgets/StaticText">
Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/UndockingDialog.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/UndockingDialog.layout	(revision 11805)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/UndockingDialog.layout	(revision 11806)
@@ -1,5 +1,5 @@
 <?xml version='1.0' encoding='utf-8'?>
 <GUILayout version="4">
-    <Window name="Background" type="MenuWidgets/StaticImage">
+    <Window name="UndockingBackground" type="MenuWidgets/StaticImage">
         <Property name="FrameEnabled" value="False" />
         <Property name="InheritsAlpha" value="False" />
@@ -11,5 +11,5 @@
             <Property name="Alpha" value="0.8" />
             <Property name="InheritsAlpha" value="False" />
-            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="HorzFormatting" value="CentreAligned" />
             <Property name="MaxSize" value="{{1,0},{1,0}}" />
             <Property name="VertFormatting" value="TopAligned" />