Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12050)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.cc	(revision 12051)
@@ -42,12 +42,3 @@
         return this->provs.at(index);
     }
-
-
-
-    void WagnisGameboard::setPosition(const Vector3&){
-        //TODO
-    }
-    void WagnisGameboard::setOrientation(const Quaternion&){
-        //TODO
-    }
 }
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12050)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisGameboard.h	(revision 12051)
@@ -32,12 +32,7 @@
         //
 
-        void setPosition(const Vector3&) override;
-        void setOrientation(const Quaternion&) override;
-
     
     private:
         std::vector<WagnisProvince*> provs;
-        Vector3 position;
-        Quaternion orientation;
     };
 }
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12050)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.cc	(revision 12051)
@@ -15,5 +15,5 @@
 
     //Constructor
-    WagnisProvince::WagnisProvince(Context* context) : StaticEntity(context){
+    WagnisProvince::WagnisProvince(Context* context) : MovableEntity(context){
         RegisterObject(WagnisProvince);
         this->owner_ID = 0;
@@ -28,4 +28,10 @@
     }
 
+    //XML Port
+    void WagnisProvince::XMLPort(Element& xmlelement,XMLPort::Mode mode){
+        XMLPortParam(WagnisProvince, "ID", setID, getID, xmlelement, mode);
+        XMLPortParam(WagnisProvince, "continent", setContinent, getContinent, xmlelement, mode);
+    }
+
 
 
@@ -33,12 +39,4 @@
     //SET()
 
-    //set Position
-    void WagnisProvince::setPosition(const Vector3& position){
-        //TODO
-    }
-    //set Orientation
-    void WagnisProvince::setOrientation(const Quaternion& orientation){
-        //TODO
-    }
     //set owner_ID
     void WagnisProvince::setOwner_ID(int owner){
@@ -62,17 +60,17 @@
 
     //get owner_ID
-    int WagnisProvince::getOwner_ID(){
+    int WagnisProvince::getOwner_ID() const{
         return this->owner_ID;
     }
     //get troops
-    int WagnisProvince::getTroops(){
+    int WagnisProvince::getTroops() const{
         return this->troops;
     }
     //get ID
-    int WagnisProvince::getID(){
+    int WagnisProvince::getID() const{
         return this->ID;
     }
     //get continent
-    int WagnisProvince::getContinent(){
+    int WagnisProvince::getContinent() const{
         return this-> continent;
     }
Index: /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h
===================================================================
--- /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12050)
+++ /code/branches/wagnis_HS18/src/modules/wagnis/WagnisProvince.h	(revision 12051)
@@ -10,5 +10,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "worldentities/StaticEntity.h"
+#include "worldentities/MovableEntity.h"
 #include <vector>
 
@@ -16,12 +16,10 @@
 namespace orxonox
 {
-    class WagnisProvince : public StaticEntity
+    class WagnisProvince : public MovableEntity
     {
     public:
         WagnisProvince(Context*);
         virtual ~WagnisProvince();
-        void setPosition(const Vector3&) override;
-        void setOrientation(const Quaternion&) override;
-        void addNeighbor(WagnisProvince*);
+        virtual void XMLPort(Element&,XMLPort::Mode);
 
         void setOwner_ID(int);
@@ -30,10 +28,11 @@
         void setContinent(int);
 
-        int getOwner_ID();
-        int getTroops();
-        int getID();
-        int getContinent();
+        int getOwner_ID() const;
+        int getTroops() const;
+        int getID() const;
+        int getContinent() const;
 
-    
+        void addNeighbor(WagnisProvince*);
+
     private:
         int owner_ID;
@@ -42,6 +41,4 @@
         int continent;
         std::vector<WagnisProvince*> neighbors;
-        Vector3 position;
-        Quaternion orientation;
     };
 }