Index: code/branches/mergeFS18/src/modules/weapons/weaponmodes/CMakeLists.txt
===================================================================
--- code/branches/mergeFS18/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 12026)
+++ code/branches/mergeFS18/src/modules/weapons/weaponmodes/CMakeLists.txt	(revision 12191)
@@ -13,3 +13,4 @@
   GravityBombFire.cc
   MineGun.cc
+  WagnisGun.cc
 )
Index: code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.cc
===================================================================
--- code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.cc	(revision 12191)
+++ code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.cc	(revision 12191)
@@ -0,0 +1,116 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+
+ *   The WagnisGun, WagnisProjectile and WagnisCursor was made to be used as a "cursor", by fireing invisible projectiles at an object.
+ *   You can then monitor the Objects HP in order to know which one has been hit (=clicked). And yes, it isn't a very beautiful solution.
+*/
+
+#include "WagnisGun.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "core/command/Executor.h"
+
+#include "graphics/Model.h"
+#include "weaponsystem/Weapon.h"
+#include "weaponsystem/WeaponPack.h"
+#include "weaponsystem/WeaponSystem.h"
+#include "worldentities/WorldEntity.h"
+#include "worldentities/pawns/Pawn.h"
+
+#include "weapons/projectiles/WagnisProjectile.h"
+#include "weapons/MuzzleFlash.h"
+
+namespace orxonox
+{
+    RegisterClass(WagnisGun);
+
+    WagnisGun::WagnisGun(Context* context) : WeaponMode(context)
+    {
+        RegisterObject(WagnisGun);
+
+        this->reloadTime_ = 0.5f;
+        this->damage_ = 0.0f; //default 15
+        this->speed_ = 800.0f;
+        this->delay_ = 0.0f;
+        this->setMunitionName("LaserMunition");
+
+
+
+        this->delayTimer_.setTimer(this->delay_, false, createExecutor(createFunctor(&WagnisGun::shot, this)));
+        this->delayTimer_.stopTimer();
+        hudImageString_ = "Orxonox/WSHUD_WM_HsW01";
+    }
+
+    WagnisGun::~WagnisGun()
+    {
+    }
+
+    void WagnisGun::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(WagnisGun, XMLPort, xmlelement, mode);
+
+        XMLPortParam(WagnisGun, "delay", setDelay, getDelay, xmlelement, mode);
+        XMLPortParam(WagnisGun, "material", setMaterial, getMaterial, xmlelement, mode);
+        XMLPortParam(WagnisGun, "projectileMesh", setMesh, getMesh, xmlelement, mode);
+        XMLPortParam(WagnisGun, "sound", setSound, getSound, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Set the firing delay.
+    @param delay
+        The firing delay in seconds.
+    */
+    void WagnisGun::setDelay(float delay)
+    {
+        this->delay_ = delay;
+        this->delayTimer_.setInterval(this->delay_);
+    }
+
+    void WagnisGun::fire()
+    {
+        this->delayTimer_.startTimer();
+    }
+
+    /**
+    @brief
+        Fires the weapon. Creates a projectile and fires it.
+    */
+    void WagnisGun::shot()
+    {
+        assert( this->getWeapon() && this->getWeapon()->getWeaponPack() && this->getWeapon()->getWeaponPack()->getWeaponSystem() && this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn() );
+
+        // Create the projectile.
+        WagnisProjectile* projectile = new WagnisProjectile(this->getContext());
+
+        this->computeMuzzleParameters(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn()->getAimPosition());
+        projectile->setOrientation(this->getMuzzleOrientation());
+        projectile->setPosition(this->getMuzzlePosition());
+        projectile->setVelocity(this->getMuzzleDirection() * this->speed_);
+
+        projectile->setShooter(this->getWeapon()->getWeaponPack()->getWeaponSystem()->getPawn());
+        projectile->setDamage(this->getDamage());
+        projectile->setShieldDamage(this->getShieldDamage());
+        projectile->setHealthDamage(this->getHealthDamage());
+    }
+}
Index: code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.h
===================================================================
--- code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.h	(revision 12191)
+++ code/branches/mergeFS18/src/modules/weapons/weaponmodes/WagnisGun.h	(revision 12191)
@@ -0,0 +1,93 @@
+#ifndef _WagnisGun__
+#define _WagnisGun__
+
+#include "weapons/WeaponsPrereqs.h"
+
+#include "tools/Timer.h"
+#include "weaponsystem/WeaponMode.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        Shoots laser beams.
+    @author
+        Hagen Seifert
+    @ingroup WeaponsWeaponModes
+    */
+    class _WeaponsExport WagnisGun : public WeaponMode
+    {
+        public:
+            WagnisGun(Context* context);
+            virtual ~WagnisGun();
+
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+        protected:
+            /**
+            @brief Set the mesh.
+            @param mesh The mesh name.
+            */
+            void setMesh(const std::string& mesh)
+                { this->mesh_ = mesh; }
+
+            /**
+            @brief Get the mesh.
+            @return Returns the mesh name.
+            */
+            const std::string& getMesh() const
+                { return this->mesh_; }
+
+            /**
+            @brief Set the sound.
+            @param sound The Sound name.
+            */
+            void setSound(const std::string& sound)
+                { this->sound_ = sound; }
+
+            /**
+            @brief Get the sound.
+            @return Returns the sound name.
+            */
+            const std::string& getSound() const
+                { return this->sound_; }
+
+            /**
+            @brief Set the material.
+            @param material The material name.
+            */
+            void setMaterial(const std::string& material)
+                { this->material_ = material; }
+            /**
+            @brief Get the material.
+            @return Returns the material name.
+            */
+            const std::string& getMaterial() const
+                { return this->material_; }
+
+            void setDelay(float delay);
+            /**
+            @brief Get the firing delay.
+            @return Returns the firing delay in seconds.
+            */
+            float getDelay() const
+                { return this->delay_; }
+
+            virtual void shot();
+            void muzzleflash();
+
+            std::string material_; //!< The material.
+            std::string mesh_; //!< The mesh.
+            std::string sound_; //!< The sound.
+
+
+
+            float speed_; //!< The speed of the fired projectile.
+            float delay_; //!< The firing delay.
+            Timer delayTimer_; //!< A timer to delay the firing.
+    };
+}
+
+#endif /* _WagnisGun__ */